Skip to main content
GET
/
recipients
/
{recipient_id}
/
destinations
List destinations for recipient
curl --request GET \
  --url https://api.prequel.co/recipients/{recipient_id}/destinations \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.prequel.co/recipients/{recipient_id}/destinations"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.prequel.co/recipients/{recipient_id}/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "destinations": [
      {
        "abs": {
          "folder": "<string>",
          "container_name": "<string>",
          "auth_method": "<string>",
          "storage_account_name": "<string>",
          "disable_manifest": true,
          "csv": {
            "delimiter": "<string>"
          }
        },
        "id": "<string>",
        "vendor": "<string>",
        "name": "<string>",
        "recipient_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "last_successful_transfer_ended_at": "2023-11-07T05:31:56Z",
        "frequency_minutes": 123,
        "id_in_provider_system": "<string>",
        "products": [
          "<string>"
        ],
        "enabled_models": [
          "<string>"
        ],
        "max_concurrent_transfers": 123,
        "max_concurrent_queries_per_transfer": 123,
        "is_enabled": true,
        "last_completed_transfer": {
          "id": "<string>",
          "status": "<string>",
          "is_full_refresh": true,
          "models": [
            "<string>"
          ],
          "log": "<string>",
          "submitted_at": "2023-11-07T05:31:56Z",
          "start_transfer_window_at": "2023-11-07T05:31:56Z",
          "end_transfer_window_at": "2023-11-07T05:31:56Z",
          "rows_transferred": 123,
          "delta_rows_transferred": 123,
          "volume_transferred_in_mb": 123,
          "is_debug_mode": true,
          "actor_id": "<string>",
          "actor_type": "<string>",
          "source_ids": [
            "<string>"
          ],
          "destination_id": "<string>",
          "model_metrics": [
            {
              "model_id": "<string>",
              "rows_transferred": 123,
              "delta_rows_transferred": 123,
              "volume_transferred_in_mb": 123,
              "start_transfer_window_at": "2023-11-07T05:31:56Z",
              "end_transfer_window_at": "2023-11-07T05:31:56Z",
              "most_recent_last_updated_at": "2023-11-07T05:31:56Z",
              "error": {
                "error": "<unknown>",
                "error_code": "<string>",
                "title": "<string>",
                "blame": "<string>",
                "documentation_url": "<string>",
                "trace": "<string>",
                "message": "<string>"
              },
              "model_name": "<string>"
            }
          ],
          "models_snapshot": [
            {
              "model_id": "<string>",
              "model_name": "<string>",
              "revision_id": "<string>"
            }
          ],
          "started_at": "2023-11-07T05:31:56Z",
          "ended_at": "2023-11-07T05:31:56Z",
          "tags": {}
        },
        "total_rows_transferred_last_billing_period": 123,
        "total_delta_rows_transferred_last_billing_period": 123,
        "total_rows_transferred_current_billing_period": 123
      }
    ]
  },
  "message": "<string>",
  "has_next": true,
  "next_url": "<string>"
}
{
"status": "<string>",
"message": "<string>",
"data": null
}
{
"status": "<string>",
"message": "<string>",
"data": null
}
{
"status": "<string>",
"message": "<string>",
"data": null
}
{
"status": "<string>",
"message": "<string>",
"data": null
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

recipient_id
string
required

Recipient ID.

Query Parameters

destination_id
string

Destination ID. Multiple IDs can also be provided as a comma-separated string.

name
string

Destination name. Case-insensitive. Multiple values can be provided as a comma-separated string.

vendor
string

Filter by vendor type (postgres, redshift).

is_enabled
string

Filter by enabled status (true or false).

product_name
string

Product name. Multiple values can be provided as a comma-separated string.

model_name
string

Model name. Multiple values can be provided as a comma-separated string.

page_size
integer

Number of items to return per page.

order
enum<string>

Sort order for items

Available options:
asc,
desc
cursor
string

Used for pagination - represents last page seen. Value is included in response when there is a next page.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required
has_next
boolean
required

Whether there are more items beyond this page.

next_url
string

Full URL to fetch the next page. Only present when has_next is true.